diff -uNr linux-2.4.0-test8/arch/arm/nwfpe/Makefile linux/arch/arm/nwfpe/Makefile
--- linux-2.4.0-test8/arch/arm/nwfpe/Makefile	Sat Aug 26 00:09:04 2000
+++ linux/arch/arm/nwfpe/Makefile	Thu Sep 14 02:31:43 2000
@@ -29,4 +29,4 @@
 include $(TOPDIR)/Rules.make
 
 nwfpe.o: $(MI_OBJS) $(MIX_OBJS)
-	 $(LD) $(LD_RFLAG) -r -o $@ $(MI_OBJS) $(MIX_OBJS)
+	$(LD) -r -o $@ $(MI_OBJS) $(MIX_OBJS)
diff -uNr linux-2.4.0-test8/drivers/acorn/scsi/Makefile linux/drivers/acorn/scsi/Makefile
--- linux-2.4.0-test8/drivers/acorn/scsi/Makefile	Sat Aug 26 00:09:12 2000
+++ linux/drivers/acorn/scsi/Makefile	Thu Sep 14 02:31:57 2000
@@ -51,4 +51,4 @@
 include $(TOPDIR)/Rules.make
 
 acornscsi_mod.o: acornscsi.o acornscsi-io.o
-	$(LD) $(LD_RFLAG) -r -o $@ acornscsi.o acornscsi-io.o
+	$(LD) -r -o $@ acornscsi.o acornscsi-io.o
diff -uNr linux-2.4.0-test8/drivers/char/agp/Makefile linux/drivers/char/agp/Makefile
--- linux-2.4.0-test8/drivers/char/agp/Makefile	Sat Jan  8 01:59:24 2000
+++ linux/drivers/char/agp/Makefile	Thu Sep 14 02:32:05 2000
@@ -19,4 +19,4 @@
 include $(TOPDIR)/Rules.make
 
 agpgart.o: agpgart_be.o agpgart_fe.o
-	$(LD) $(LD_RFLAG) -r -o $@ agpgart_be.o agpgart_fe.o
+	$(LD) -r -o $@ agpgart_be.o agpgart_fe.o
diff -uNr linux-2.4.0-test8/drivers/fc4/Makefile linux/drivers/fc4/Makefile
--- linux-2.4.0-test8/drivers/fc4/Makefile	Sat Aug 26 00:08:11 2000
+++ linux/drivers/fc4/Makefile	Thu Sep 14 02:32:12 2000
@@ -41,4 +41,4 @@
 include $(TOPDIR)/Rules.make
 
 fc4.o: $(MIX_OBJS) fc.o
-	$(LD) $(LD_RFLAG) -r -o $@ $(MIX_OBJS) fc.o
+	$(LD) -r -o $@ $(MIX_OBJS) fc.o
diff -uNr linux-2.4.0-test8/drivers/ide/Makefile linux/drivers/ide/Makefile
--- linux-2.4.0-test8/drivers/ide/Makefile	Sat Aug 26 00:08:11 2000
+++ linux/drivers/ide/Makefile	Thu Sep 14 02:34:27 2000
@@ -231,7 +231,7 @@
 include $(TOPDIR)/Rules.make
 
 ide-mod.o: ide.o ide-features.o $(IDE_OBJS)
-	$(LD) $(LD_RFLAG) -r -o $@ ide.o ide-features.o $(IDE_OBJS)
+	$(LD) -r -o $@ ide.o ide-features.o $(IDE_OBJS)
 
 ide-probe-mod.o: ide-probe.o ide-geometry.o
-	$(LD) $(LD_RFLAG) -r -o $@ ide-probe.o ide-geometry.o
+	$(LD) -r -o $@ ide-probe.o ide-geometry.o
diff -uNr linux-2.4.0-test8/drivers/media/video/Makefile linux/drivers/media/video/Makefile
--- linux-2.4.0-test8/drivers/media/video/Makefile	Sat Aug 26 00:09:46 2000
+++ linux/drivers/media/video/Makefile	Thu Sep 14 02:32:26 2000
@@ -90,7 +90,7 @@
 fastdep:
 
 zoran.o: zr36120.o zr36120_i2c.o zr36120_mem.o
-	$(LD) $(LD_RFLAG) -r -o $@ zr36120.o zr36120_i2c.o zr36120_mem.o
+	$(LD) -r -o $@ zr36120.o zr36120_i2c.o zr36120_mem.o
 
 bttv.o: $(bttv-objs)
-	$(LD) $(LD_RFLAG) -r -o $@ $(bttv-objs)
+	$(LD) -r -o $@ $(bttv-objs)
diff -uNr linux-2.4.0-test8/drivers/parport/Makefile linux/drivers/parport/Makefile
--- linux-2.4.0-test8/drivers/parport/Makefile	Sun Oct  3 14:57:30 1999
+++ linux/drivers/parport/Makefile	Thu Sep 14 02:32:35 2000
@@ -98,4 +98,4 @@
 
 # Special rule to build the composite parport.o module
 parport.o: $(MI_OBJS) $(MIX_OBJS)
-	$(LD) $(LD_RFLAG) -r -o $@ $(MI_OBJS) $(MIX_OBJS)
+	$(LD) -r -o $@ $(MI_OBJS) $(MIX_OBJS)
diff -uNr linux-2.4.0-test8/drivers/pcmcia/Makefile linux/drivers/pcmcia/Makefile
--- linux-2.4.0-test8/drivers/pcmcia/Makefile	Sat Aug 26 00:08:25 2000
+++ linux/drivers/pcmcia/Makefile	Thu Sep 14 02:32:47 2000
@@ -51,7 +51,7 @@
 include $(TOPDIR)/Rules.make
 
 pcmcia_core.o:  $(CORE_OBJS)
-	$(LD) $(LD_RFLAG) -r -o $@ $(CORE_OBJS)
+	$(LD) -r -o $@ $(CORE_OBJS)
 
 yenta_socket.o: $(CARDBUS_OBJS)
-	$(LD) $(LD_RFLAG) -r -o $@ yenta.o pci_socket.o
+	$(LD) -r -o $@ yenta.o pci_socket.o
diff -uNr linux-2.4.0-test8/drivers/pnp/Makefile linux/drivers/pnp/Makefile
--- linux-2.4.0-test8/drivers/pnp/Makefile	Sun Mar 26 11:56:31 2000
+++ linux/drivers/pnp/Makefile	Thu Sep 14 02:32:58 2000
@@ -34,4 +34,4 @@
 include $(TOPDIR)/Rules.make
 
 isa-pnp.o: $(MIX_OBJS) $(MI_OBJS)
-	$(LD) $(LD_RFLAG) -r -o $@ $(MIX_OBJS) $(MI_OBJS)
+	$(LD) -r -o $@ $(MIX_OBJS) $(MI_OBJS)
diff -uNr linux-2.4.0-test8/drivers/s390/block/Makefile linux/drivers/s390/block/Makefile
--- linux-2.4.0-test8/drivers/s390/block/Makefile	Tue Jun 13 20:34:55 2000
+++ linux/drivers/s390/block/Makefile	Thu Sep 14 02:33:08 2000
@@ -26,6 +26,6 @@
 endif
 
 dasd_mod.o: $(D_OBJS)
-	$(LD) $(LD_RFLAG) -r -o $@ $+
+	$(LD) -r -o $@ $+
 
 include $(TOPDIR)/Rules.make
diff -uNr linux-2.4.0-test8/net/irda/ircomm/Makefile linux/net/irda/ircomm/Makefile
--- linux-2.4.0-test8/net/irda/ircomm/Makefile	Thu Nov  4 21:07:29 1999
+++ linux/net/irda/ircomm/Makefile	Thu Sep 14 02:33:42 2000
@@ -17,11 +17,11 @@
 # Special rule to build the composite modules
 
 ifeq ($(CONFIG_IRCOMM),m)
-ircomm.o:  $(MI_OBJS)
-	$(LD) $(LD_RFLAG) -r -o $@ ircomm_core.o ircomm_event.o ircomm_lmp.o ircomm_ttp.o
+ircomm.o: $(MI_OBJS)
+	$(LD) -r -o $@ ircomm_core.o ircomm_event.o ircomm_lmp.o ircomm_ttp.o
 
 ircomm-tty.o: $(MI_OBJS)
-	$(LD) $(LD_RFLAG) -r -o $@ ircomm_tty.o ircomm_tty_attach.o ircomm_tty_ioctl.o ircomm_param.o
+	$(LD) -r -o $@ ircomm_tty.o ircomm_tty_attach.o ircomm_tty_ioctl.o ircomm_param.o
 
 
 endif
